Skip to content

Get Clinical Concept Medication

Request

Retrieve a specific medication clinical concept associated with a subject by its ID.

Security
bearer
Path
idstringrequired
Query
subjectIdstringrequired

Subject ID (GUID)

Example:subjectId=123e4567-e89b-12d3-a456-426614174000
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/clinical-concepts/medication/{id}?subjectId=123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
idstringrequired

Unique identifier for the medication record

documentIdsArray of stringsrequired

List of document IDs associated with the medication

codesArray of strings

Codes from source documents. Type "standard" indicates the code that determined the OMOP concept assignment

startDatestring, (date-time)

Start date of the medication

endDatestring, (date-time)

End date of the medication

statusstring

Status of the medication

reasonstring

Reason for the medication

routestring

Route of administration

dosenumber

Dose amount

doseUnitstring

Dose unit

patientInstructionstring

Patient instruction for the medication

regimenstring

Regimen for the medication

discontinuationReasonstring

Reason for discontinuation

medicationNamestring

Medication name

medicationCodestring

Medication code

medicationCodingSystemstring

Coding system for the medication

notesArray of strings

Notes related to the medication

ingredientsArray of objects

List of drug ingredients

oncologyClassificationstring

Oncology classification for the medication

Response
{ "id": "string", "documentIds": [ "string" ], "codes": [ "string" ], "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "status": "string", "reason": "string", "route": "string", "dose": 0, "doseUnit": "string", "patientInstruction": "string", "regimen": "string", "discontinuationReason": "string", "medicationName": "string", "medicationCode": "string", "medicationCodingSystem": "string", "notes": [ "string" ], "ingredients": [ {} ], "oncologyClassification": "string" }